import { IComponent } from "queenjs/typing";
import { h } from "vue";
import { TipIcon } from "./TipIcon";

export function createTipIcon(options: {
  icons: any[];
  tips: Array<string | JSX.Element>;
}): IComponent {
  return (props: FuncProps<{ value?: number; disable?: boolean }>) => {
    return h(TipIcon, { ...options, ...props });
  };
}
